# Uses of Class
javax.swing.plaf.TabbedPaneUI

Packages that use TabbedPaneUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of TabbedPaneUI in javax.swing

Methods in javax.swing that return TabbedPaneUI
Modifier and Type
Method
Description
`TabbedPaneUI`
JTabbedPane.`getUI()`
Returns the UI object which implements the L&F for this component.
Methods in javax.swing with parameters of type TabbedPaneUI
Modifier and Type
Method
Description
`void`
JTabbedPane.`setUI​(TabbedPaneUI ui)`
Sets the UI object which implements the L&F for this component.

## Uses of TabbedPaneUI in javax.swing.plaf.basic

Subclasses of TabbedPaneUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicTabbedPaneUI`
A Basic L&F implementation of TabbedPaneUI.

## Uses of TabbedPaneUI in javax.swing.plaf.metal

Subclasses of TabbedPaneUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalTabbedPaneUI`
The Metal subclass of BasicTabbedPaneUI.

## Uses of TabbedPaneUI in javax.swing.plaf.multi

Subclasses of TabbedPaneUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiTabbedPaneUI`
A multiplexing UI used to combine `TabbedPaneUI`s.

## Uses of TabbedPaneUI in javax.swing.plaf.synth

Subclasses of TabbedPaneUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthTabbedPaneUI`
Provides the Synth L&F UI delegate for `JTabbedPane`.